package org.jeecg.modules.ctop.service.impl;

import cn.com.ctop.common.module.utils.Check;
import cn.com.ctop.kuaishou.modules.report.service.IKuaishouReportDailyCreativeService;
import org.jeecg.modules.ctop.entity.KuaiShouCleanMaterialReport;
import org.jeecg.modules.ctop.mapper.CleanMaterialMapper;
import org.jeecg.modules.ctop.service.ICleanMaterialService;
import org.jeecg.modules.ctop.service.IKuaiShouCleanMaterialReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CleanMaterialServiceImpl implements ICleanMaterialService {
    @Autowired
    private CleanMaterialMapper cleanMaterialMapper;
    @Autowired
    IKuaishouReportDailyCreativeService kuaishouReportDailyCreativeService;
    @Autowired
    private IKuaiShouCleanMaterialReportService cleanMaterialReportService;


    @Override
    public List<String> getSignature() {
        return cleanMaterialMapper.getSignatureList();
    }

    /**
     * 计算素材报表
     *
     * @param signature
     */
    @Override
    public void calculationReport(String signature) {
        KuaiShouCleanMaterialReport calculationMaterialReport = cleanMaterialMapper.calculationMaterialReport(signature);
        if (!Check.isNull(calculationMaterialReport)) {
            cleanMaterialReportService.saveOrUpdate(calculationMaterialReport);
        }
    }
}
